EDIT - bug #4299

Show error when permission is denied ...
08/05/2014 10:59 AM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

... or don't allow opening "New Classification" dialog if user is not allowed to create a new classification.

A user who has no rights to create a taxon node may currently still open the New Classification dialog. Pressing the Finish button
there gives no result except for an exception being logged but not shown to the user.

So there are 2 problems:
1. Exceptions should always be shown to the user

2. If a user is not allowed to create a classification (AND its root node, which is always created), he/she should not be allowed to
open the dialog at all

History

#1 - 08/05/2014 11:03 AM - Andreas Kohlbecker

- Keywords set to permission security

#2 - 10/14/2016 04:19 PM - Andreas Kohlbecker
- Tags changed from permission security to permission, security

- Description updated

#3 - 04/16/2020 06:37 PM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to Katja Luther

- Target version changed from 120 to Release 5.15

I move this to current milestone as we have more and more DBs with limited rights and therefore this issue becomes more relevant. Please move to
other milestone if it should be handled later.
Also | change owner as these issues are now handled by KL.

#4 - 04/16/2020 06:40 PM - Andreas Miuiller
Also entering the New->Taxon dialog should not be possible as the dialog is fully disabled in this case anyway (but only if the user has no rights on

the current subtree, so maybe this is another issue).

#5 - 04/16/2020 06:41 PM - Andreas Miiller

- Private changed from Yes to No

#6 - 04/20/2020 10:21 AM - Andreas Kohlbecker

- Description updated

I think we should change the subject of this issue to better reflect the details of this task.

Suggestion: Adapt "New Classification" actions and Ul-elements to missing TAXON_NODE permissions

#7 - 04/20/2020 11:04 AM - Andreas Miiller
I think | chose this title because my concern was that permission errors are not shown in general (or at least at multiple places). If this is not the case
and if the exception is swallowed only here we should ofcourse change the title.

#8 - 04/29/2020 12:07 PM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18

#9 - 12/04/2020 09:08 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#10 - 01/27/2021 04:15 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#11 - 03/10/2021 02:51 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#12 - 04/19/2021 05:41 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46
